package com.jz.dmp.modules.controller.DataIntegration.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @ClassName: DataSourceListDto
 * @Description: 数据源列表返回参数对象
 * @Author：Bellamy
 * @Date 2020/12/24
 * @Version 1.0
 */
@ApiModel(value = "数据源列表返回参数对象", description = "数据源列表返回参数对象")
public class DataSourceListDto {
    /**
     * 数据源id
     */
    @ApiModelProperty(value = "数据源id")
    private Long id;

    /**
     * 数据源名称
     */
    @ApiModelProperty(value = "数据源名称")
    private String  datasourceName;

    /**
     * 数据源类型名称
     */
    @ApiModelProperty(value = "数据源类型名称")
    private String  datasourceTypeName;

    /**
     * 数据源类型id
     */
    @ApiModelProperty(value = "数据源类型id")
    private String  datasourceTypeId;

    /**
     * 数据源分类
     */
    @ApiModelProperty(value = "数据源分类")
    private String  datasourceCatecode;

    /**
     * 数据源描述
     */
    @ApiModelProperty(value = "数据源描述")
    private String  datasourceDesc;
    /**
     * 连接信息
     */
    @ApiModelProperty(value = "连接信息")
    private String  jdbcUrl;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String  userName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private String  createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private String  uptdateTime;

    /**
     * 数据库名称
     */
    @ApiModelProperty(value = "数据库名称")
    private String  dbName;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private String  projectId;

    /**
     * 测试连通状态：01未测试，02连通性正常，03连通性异常
     */
    @ApiModelProperty(value = "测试连通状态：01未测试，02连通性正常，03连通性异常")
    private String testConnectStatus;

    @ApiModelProperty(value = "FTP协议")
    private String protocol;
    /**
     * IP
     */
    @ApiModelProperty(value = "IP")
    private String host;
    /**
     * 端口
     */
    @ApiModelProperty(value = "端口")
    private String port;

    /**
     * hdfsNamenodePrincipal
     */
    @ApiModelProperty(value = "hdfsNamenodePrincipal")
    private String hdfsNamenodePrincipal;

    /**
     * hiveMetastoreUrisThrift
     */
    @ApiModelProperty(value = "hiveMetastoreUrisThrift")
    private String hiveMetastoreUrisThrift;

    /**
     * keytabLocation
     */
    @ApiModelProperty(value = "keytabLocation")
    private String keytabLocation;

    /**
     * bootstrap地址
     */
    @ApiModelProperty(value = "bootstrap地址")
    private String bootstrapAddress;

    /**
     * jaas地址
     */
    @ApiModelProperty(value = "jaas地址")
    private String jaasAddress;

    /**
     * krb5地址
     */
    @ApiModelProperty(value = "krb5地址")
    private String krb5Address;

    /**
     * kudu Master
     */
    @ApiModelProperty(value = "kudu Master")
    private String kuduMaster;

    /**
     * impalaMasterFqdn
     */
    @ApiModelProperty(value = "impalaMasterFqdn")
    private String impalaMasterFqdn;

    /**
     * NameNode地址
     */
    @ApiModelProperty(value = "NameNode地址")
    private String defaultFs;

    @ApiModelProperty(value = "表空间")
    private String tableSchema;

    /**
     * 终端信息
     */
    @ApiModelProperty(value = "终端信息")
    private String endpoint;
    /**
     * Bucket信息
     */
    @ApiModelProperty(value = "Bucket信息")
    private String bucket;
    /**
     * accessId
     */
    @ApiModelProperty(value = "accessId")
    private String accessId;
    /**
     * accessKey
     */
    @ApiModelProperty(value = "accessKey")
    private String accessKey;

    @ApiModelProperty(value = "密码")
    private String password;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceTypeName() {
        return datasourceTypeName;
    }

    public void setDatasourceTypeName(String datasourceTypeName) {
        this.datasourceTypeName = datasourceTypeName;
    }

    public String getDatasourceCatecode() {
        return datasourceCatecode;
    }

    public void setDatasourceCatecode(String datasourceCatecode) {
        this.datasourceCatecode = datasourceCatecode;
    }

    public String getDatasourceDesc() {
        return datasourceDesc;
    }

    public void setDatasourceDesc(String datasourceDesc) {
        this.datasourceDesc = datasourceDesc;
    }

    public String getJdbcUrl() {
        return jdbcUrl;
    }

    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUptdateTime() {
        return uptdateTime;
    }

    public void setUptdateTime(String uptdateTime) {
        this.uptdateTime = uptdateTime;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTestConnectStatus() {
        return testConnectStatus;
    }

    public void setTestConnectStatus(String testConnectStatus) {
        this.testConnectStatus = testConnectStatus;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getHdfsNamenodePrincipal() {
        return hdfsNamenodePrincipal;
    }

    public void setHdfsNamenodePrincipal(String hdfsNamenodePrincipal) {
        this.hdfsNamenodePrincipal = hdfsNamenodePrincipal;
    }

    public String getHiveMetastoreUrisThrift() {
        return hiveMetastoreUrisThrift;
    }

    public void setHiveMetastoreUrisThrift(String hiveMetastoreUrisThrift) {
        this.hiveMetastoreUrisThrift = hiveMetastoreUrisThrift;
    }

    public String getKeytabLocation() {
        return keytabLocation;
    }

    public void setKeytabLocation(String keytabLocation) {
        this.keytabLocation = keytabLocation;
    }

    public String getBootstrapAddress() {
        return bootstrapAddress;
    }

    public void setBootstrapAddress(String bootstrapAddress) {
        this.bootstrapAddress = bootstrapAddress;
    }

    public String getJaasAddress() {
        return jaasAddress;
    }

    public void setJaasAddress(String jaasAddress) {
        this.jaasAddress = jaasAddress;
    }

    public String getKrb5Address() {
        return krb5Address;
    }

    public void setKrb5Address(String krb5Address) {
        this.krb5Address = krb5Address;
    }

    public String getKuduMaster() {
        return kuduMaster;
    }

    public void setKuduMaster(String kuduMaster) {
        this.kuduMaster = kuduMaster;
    }

    public String getImpalaMasterFqdn() {
        return impalaMasterFqdn;
    }

    public void setImpalaMasterFqdn(String impalaMasterFqdn) {
        this.impalaMasterFqdn = impalaMasterFqdn;
    }

    public String getDefaultFs() {
        return defaultFs;
    }

    public void setDefaultFs(String defaultFs) {
        this.defaultFs = defaultFs;
    }

    public String getTableSchema() {
        return tableSchema;
    }

    public void setTableSchema(String tableSchema) {
        this.tableSchema = tableSchema;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getDatasourceTypeId() {
        return datasourceTypeId;
    }

    public void setDatasourceTypeId(String datasourceTypeId) {
        this.datasourceTypeId = datasourceTypeId;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
